uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jaroslaw Cwiklik <cwik...@apache.org>
Subject Re: [jira] [Created] (UIMA-5694) UIMA-AS: Update README to say that mvn -U should be used for building
Date Sun, 07 Jan 2018 23:23:29 GMT
OK, agree that the README should not say to always use -U  when building.
However, it should say that
when strange errors occur during a build, running with -U *may* help. Eddie
ran into such problem
and suggested documentation change to help users remedy the situation. The
point is that it is not obvious
that local m2 is out of date and the refresh is necessary.

Jerry

On Fri, Jan 5, 2018 at 6:17 PM, Marshall Schor <msa@schor.com> wrote:

> Normal builds with good network connectivity shouldn't need to use the -U
> operation.
>
> doing the -U operator makes building much slower. That's why it's usually
> not
> done; but only done when the build needs to depend on something whose
> "access"
> path to the artifact in the cloud "failed" - to prevent excess network
> delays,
> these are blocked for 1 day (but the -U overrides that).
>
> see https://www.google.com/search?q=maven+%22-u%22
>
> -Marshall
> On 1/5/2018 4:30 PM, Jerry Cwiklik (JIRA) wrote:
> > Jerry Cwiklik created UIMA-5694:
> > -----------------------------------
> >
> >              Summary: UIMA-AS: Update README to say that mvn -U should
> be used for building
> >                  Key: UIMA-5694
> >                  URL: https://issues.apache.org/jira/browse/UIMA-5694
> >              Project: UIMA
> >           Issue Type: Improvement
> >           Components: Async Scaleout
> >             Reporter: Jerry Cwiklik
> >             Assignee: Jerry Cwiklik
> >              Fix For: future-Uima-AS
> >
> >
> > The local m2 repo may get stale and builds may fail with strange errors
> like this:
> > [ERROR] Failed to execute goal on project uimaj-ep-deployeditor: Could
> not resolve dependencies for project org.apache.uima:uimaj-ep-deployeditor:jar:2.10.2:
> Failed to collect dependencies at org.eclipse.pde:org.eclipse.pde.ui:jar:3.9.100
> -> org.eclipse.pde:org.eclipse.pde.core:jar:[3.6.0,4.0.0): No versions
> available for org.eclipse.pde:org.eclipse.pde.core:jar:[3.6.0,4.0.0)
> within specified range -> [Help 1]
> >
> > When building force maven to check for updated releases and snapshots on
> remote repositories using this command:
> >
> > mvn -U clean install
> >
> > Note the -U which forces the update.
> >
> >
> >
> > --
> > This message was sent by Atlassian JIRA
> > (v6.4.14#64029)
> >
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message